name: AMS1117
variations: SOT89, SOT223
description: low drop out voltage regulator
keywords: IC, regulator
# the AMS1117 I had used the SOT89-3 package, but I could not find the corresponding datasheet
# the closest I could find is Diodes AP1117 https://www.diodes.com/assets/Datasheets/AP1117_R21.pdf
# this SOT89-3 package measurement are provided by JEDEC TO-243
# I used the SOT89 package footprint provided by TI https://www.nxp.com/docs/en/package-information/SOT89.pdf

pinout:
  GND: 1
  VOUT: 2
  VIN: 3

properties:
  power: VIN
  output: VOUT
  ground: GND

schematic:
  symbol: IC
  left: VIN
  right: VOUT
  bottom: GND

housing@SOT89:
  pattern: custom
  bodyWidth: 4.4-4.8 # D
  bodyLength: 2.4-2.6 # E
  leadSpan: 3.75-4.25 # HE
  leadWidth: 0.35-0.48 # bp1
  leadLength: 0.8-1.2 # Lp
  height: 1.4-1.6 # A
  pitch: 3.0 # e1

  numbers: 1, 3
  padWidth: 0.7
  padHeight: 1.1
  padPosition: -1.5, 1.8, 1.5, 1.8 # 2.5/2 + 1.1/2

  numbers1: 2
  padWidth1: 0.7
  padHeight1: 1.8 # 4.6 - 0.9 - 0.2 - 1.2 - 0.5
  padPosition1: 0, 1.45 # 2.5/2 + 1.1 - 1.8/2

  # tab
  numbers2: 2
  padWidth2: 2.0
  padHeight2: 2.8
  padPosition2: 0, -0.85 # 2.5/2 + 1.1 - 1.8 - 2.8/2

housing@SOT223:
  pattern: custom
  bodyWidth: 6.3-6.7 # D
  bodyLength: 3.3-3.7 # E1
  leadSpan: 4.6 # e1
  leadWidth: 0.6-0.8
  leadLength: 0.9 # L
  height: 1.8 # A
  pitch: 2.3 # e

  rowCount: 1
  columnCount: 3
  padWidth: 0.95
  padHeight: 2.15
  horizontalPitch: 2.3
  rowDY: 2.9

  # tab
  numbers1: 2
  padWidth1: 3.25
  padHeight1: 2.15
  padPosition1: 0, -2.9
